#ifndef __W_GFX_H__
#define __W_GFX_H__

#include "x-def.h"
#include "x-gfx.h"
#include <string>

#define W_ORTHO 1
#define W_PERS 2
#define W_2D 3

// entry point for graphics
bool gfx_init( int argc, const char ** argv );
void gfx_loop();
void about();
void keys();
void help();
void usage();
void endline();
void line();
bool initTexture( const std::string & filename, XTexture * tex );
XTexture * raka_loadTexture( const std::string & filename );

#endif
